Manifest-Version: 1.0
Bnd-LastModified: 1712088002016
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Headless Delivery Implementation
Bundle-SymbolicName: com.liferay.headless.delivery.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 5.0.70.hotfix-5217-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.adaptive.media;version="1.0",com.liferay.a
 daptive.media.finder;version="1.0",com.liferay.adaptive.media.image.f
 inder;version="1.0",com.liferay.adaptive.media.image.mime.type;versio
 n="1.0",com.liferay.adaptive.media.image.processor;version="1.0",com.
 liferay.asset.kernel.exception;version="2.3",com.liferay.asset.kernel
 .model;version="8.0",com.liferay.asset.kernel.service;version="7.1",c
 om.liferay.asset.kernel.service.persistence;version="9.0",com.liferay
 .asset.list.asset.entry.provider;version="3.0",com.liferay.asset.list
 .model;version="3.0",com.liferay.asset.list.service;version="1.8",com
 .liferay.asset.util;version="2.1",com.liferay.blogs.exception;version
 ="1.1",com.liferay.blogs.model;version="6.0",com.liferay.blogs.servic
 e;version="4.3",com.liferay.document.library.kernel.exception;version
 ="3.4",com.liferay.document.library.kernel.model;version="6.0",com.li
 feray.document.library.kernel.service;version="6.2",com.liferay.docum
 ent.library.util;version="1.1",com.liferay.dynamic.data.mapping.io;ve
 rsion="2.2",com.liferay.dynamic.data.mapping.kernel;version="2.0",com
 .liferay.dynamic.data.mapping.model;version="6.1",com.liferay.dynamic
 .data.mapping.service;version="3.12",com.liferay.dynamic.data.mapping
 .storage;version="1.9",com.liferay.dynamic.data.mapping.util;version=
 "4.0",com.liferay.dynamic.data.mapping.validator;version="1.6",com.li
 feray.expando.kernel.service;version="1.8",com.liferay.fragment.contr
 ibutor;version="3.0",com.liferay.fragment.entry.processor.util;versio
 n="2.0",com.liferay.fragment.model;version="3.1",com.liferay.fragment
 .processor;version="5.1",com.liferay.fragment.renderer;version="3.1",
 com.liferay.fragment.service;version="6.0",com.liferay.fragment.util.
 configuration;version="4.0",com.liferay.friendly.url.exception;versio
 n="1.0",com.liferay.friendly.url.model;version="3.0",com.liferay.frie
 ndly.url.service;version="1.6",com.liferay.headless.admin.user.dto.v1
 _0;version="6.8",com.liferay.headless.common.spi.odata.entity;version
 ="1.1",com.liferay.headless.common.spi.resource;version="2.0",com.lif
 eray.headless.common.spi.service.context;version="2.1",com.liferay.he
 adless.delivery.dto.v1_0;version="24.3",com.liferay.headless.delivery
 .dto.v1_0.util;version="2.0",com.liferay.headless.delivery.dynamic.da
 ta.mapping;version="1.0",com.liferay.headless.delivery.resource.v1_0;
 version="15.6",com.liferay.headless.delivery.search.aggregation;versi
 on="1.0",com.liferay.headless.delivery.search.filter;version="1.0",co
 m.liferay.headless.delivery.search.sort;version="1.0",com.liferay.inf
 o.field;version="3.3",com.liferay.info.item;version="4.0",com.liferay
 .info.item.provider;version="1.6",com.liferay.info.list.provider.item
 .selector.criterion;version="2.0",com.liferay.item.selector.criteria;
 version="2.3",com.liferay.journal.exception;version="2.4",com.liferay
 .journal.model;version="9.1",com.liferay.journal.service;version="6.0
 ",com.liferay.journal.util;version="4.0",com.liferay.knowledge.base.c
 onstants;version="2.3",com.liferay.knowledge.base.exception;version="
 1.4",com.liferay.knowledge.base.model;version="4.0",com.liferay.knowl
 edge.base.service;version="4.1",com.liferay.layout.display.page;versi
 on="2.2",com.liferay.layout.page.template.exception;version="1.5",com
 .liferay.layout.page.template.exporter;version="1.1",com.liferay.layo
 ut.page.template.model;version="6.2",com.liferay.layout.page.template
 .service;version="5.0",com.liferay.layout.page.template.util;version=
 "3.2",com.liferay.layout.responsive;version="2.0",com.liferay.layout.
 seo.model;version="3.0",com.liferay.layout.seo.service;version="1.8",
 com.liferay.layout.util.structure;version="6.4",com.liferay.message.b
 oards.constants;version="1.0",com.liferay.message.boards.exception;ve
 rsion="1.1",com.liferay.message.boards.model;version="8.0",com.lifera
 y.message.boards.service;version="6.0",com.liferay.message.boards.set
 tings;version="1.0",com.liferay.message.boards.util.comparator;versio
 n="1.4",com.liferay.petra.function;version="1.5",com.liferay.petra.st
 ring;version="1.6",com.liferay.portal.events;version="6.0",com.lifera
 y.portal.kernel.comment;version="4.0",com.liferay.portal.kernel.dao.o
 rm;version="11.0",com.liferay.portal.kernel.exception;version="12.0",
 com.liferay.portal.kernel.json;version="10.1",com.liferay.portal.kern
 el.language;version="10.0",com.liferay.portal.kernel.log;version="7.1
 ",com.liferay.portal.kernel.model;version="16.0",com.liferay.portal.k
 ernel.portlet;version="19.0",com.liferay.portal.kernel.portletfilerep
 ository;version="3.0",com.liferay.portal.kernel.repository.model;vers
 ion="11.0",com.liferay.portal.kernel.search;version="13.0",com.lifera
 y.portal.kernel.search.facet;version="8.0",com.liferay.portal.kernel.
 search.filter;version="1.0",com.liferay.portal.kernel.search.generic;
 version="3.0",com.liferay.portal.kernel.security.auth;version="5.0",c
 om.liferay.portal.kernel.security.permission;version="6.1",com.lifera
 y.portal.kernel.security.permission.resource;version="2.0",com.lifera
 y.portal.kernel.service;version="13.1",com.liferay.portal.kernel.serv
 ice.permission;version="5.0",com.liferay.portal.kernel.servlet;versio
 n="11.1",com.liferay.portal.kernel.servlet.taglib.ui;version="6.8",co
 m.liferay.portal.kernel.theme;version="9.0",com.liferay.portal.kernel
 .util;version="38.0",com.liferay.portal.kernel.view.count;version="1.
 2",com.liferay.portal.kernel.workflow;version="15.0",com.liferay.port
 al.odata.entity;version="2.0",com.liferay.portal.odata.filter;version
 ="1.1",com.liferay.portal.odata.filter.expression;version="2.1",com.l
 iferay.portal.search.aggregation;version="1.0",com.liferay.portal.sea
 rch.expando;version="1.0",com.liferay.portal.search.legacy.searcher;v
 ersion="1.0",com.liferay.portal.search.query;version="1.7",com.lifera
 y.portal.search.searcher;version="1.11",com.liferay.portal.search.sor
 t;version="1.1",com.liferay.portal.util;version="32.0",com.liferay.po
 rtal.vulcan.accept.language;version="1.1",com.liferay.portal.vulcan.a
 ggregation;version="1.2",com.liferay.portal.vulcan.batch.engine;versi
 on="1.3",com.liferay.portal.vulcan.batch.engine.resource;version="1.0
 ",com.liferay.portal.vulcan.dto.converter;version="1.6",com.liferay.p
 ortal.vulcan.graphql.annotation;version="1.2",com.liferay.portal.vulc
 an.graphql.servlet;version="1.1",com.liferay.portal.vulcan.jaxrs.exce
 ption.mapper;version="1.1",com.liferay.portal.vulcan.multipart;versio
 n="1.0",com.liferay.portal.vulcan.pagination;version="1.4",com.lifera
 y.portal.vulcan.permission;version="1.3",com.liferay.portal.vulcan.re
 source;version="1.3",com.liferay.portal.vulcan.util;version="3.4",com
 .liferay.portlet.asset.util;version="4.0",com.liferay.ratings.kernel.
 model;version="3.0",com.liferay.ratings.kernel.service;version="2.6",
 com.liferay.segments;version="1.1",com.liferay.segments.context;versi
 on="2.0",com.liferay.segments.model;version="2.0",com.liferay.segment
 s.processor;version="1.1",com.liferay.segments.provider;version="1.3"
 ,com.liferay.segments.service;version="3.1",com.liferay.site.navigati
 on.exception;version="2.0",com.liferay.site.navigation.model;version=
 "3.0",com.liferay.site.navigation.service;version="2.7",com.liferay.s
 tyle.book.model;version="2.0",com.liferay.style.book.service;version=
 "1.4",com.liferay.subscription.service;version="1.6",com.liferay.wiki
 .exception;version="1.3",com.liferay.wiki.model;version="4.0",com.lif
 eray.wiki.service;version="2.4",io.swagger.v3.oas.annotations;version
 ="2.0",io.swagger.v3.oas.annotations.enums;version="2.0",io.swagger.v
 3.oas.annotations.info;version="2.0",io.swagger.v3.oas.annotations.ta
 gs;version="2.0",javax.servlet,javax.servlet.http,javax.validation.co
 nstraints;version="2.0",javax.ws.rs;version="2.1",javax.ws.rs.core;ve
 rsion="2.1",javax.ws.rs.ext;version="2.1",org.jsoup;version="1.10",or
 g.jsoup.nodes;version="1.10",org.osgi.framework;version="1.8",org.osg
 i.service.component;version="1.4"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Description: %liferay-releng-app-description
Liferay-Releng-App-Title: Liferay Hypermedia REST APIs
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.headless.delivery.internal.dto.v1_0.conve
 rter,com.liferay.headless.delivery.internal.dto.v1_0.mapper,com.lifer
 ay.headless.delivery.internal.dto.v1_0.mapper.util,com.liferay.headle
 ss.delivery.internal.dto.v1_0.util,com.liferay.headless.delivery.inte
 rnal.graphql.mutation.v1_0,com.liferay.headless.delivery.internal.gra
 phql.query.v1_0,com.liferay.headless.delivery.internal.graphql.servle
 t.v1_0,com.liferay.headless.delivery.internal.jaxrs.application,com.l
 iferay.headless.delivery.internal.jaxrs.exception.mapper,com.liferay.
 headless.delivery.internal.odata.entity.v1_0,com.liferay.headless.del
 ivery.internal.resource.v1_0,com.liferay.headless.delivery.internal.r
 esource.v1_0.factory
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .headless.delivery.internal.dto.v1_0.converter.BlogPostingDTOConverte
 r,com.liferay.portal.vulcan.dto.converter.DTOConverter";uses:="com.li
 feray.headless.delivery.internal.dto.v1_0.converter,com.liferay.porta
 l.vulcan.dto.converter",osgi.service;objectClass:List<String>="com.li
 feray.headless.delivery.internal.dto.v1_0.converter.DocumentDTOConver
 ter,com.liferay.portal.vulcan.dto.converter.DTOConverter";uses:="com.
 liferay.headless.delivery.internal.dto.v1_0.converter,com.liferay.por
 tal.vulcan.dto.converter",osgi.service;objectClass:List<String>="com.
 liferay.headless.delivery.internal.dto.v1_0.converter.DocumentFolderD
 TOConverter,com.liferay.portal.vulcan.dto.converter.DTOConverter";use
 s:="com.liferay.headless.delivery.internal.dto.v1_0.converter,com.lif
 eray.portal.vulcan.dto.converter",osgi.service;objectClass:List<Strin
 g>="com.liferay.headless.delivery.internal.dto.v1_0.converter.Experie
 nceDTOConverter,com.liferay.portal.vulcan.dto.converter.DTOConverter"
 ;uses:="com.liferay.headless.delivery.internal.dto.v1_0.converter,com
 .liferay.portal.vulcan.dto.converter",osgi.service;objectClass:List<S
 tring>="com.liferay.headless.delivery.internal.dto.v1_0.converter.Kno
 wledgeBaseArticleDTOConverter,com.liferay.portal.vulcan.dto.converter
 .DTOConverter";uses:="com.liferay.headless.delivery.internal.dto.v1_0
 .converter,com.liferay.portal.vulcan.dto.converter",osgi.service;obje
 ctClass:List<String>="com.liferay.headless.delivery.internal.dto.v1_0
 .converter.MessageBoardMessageDTOConverter,com.liferay.portal.vulcan.
 dto.converter.DTOConverter";uses:="com.liferay.headless.delivery.inte
 rnal.dto.v1_0.converter,com.liferay.portal.vulcan.dto.converter",osgi
 .service;objectClass:List<String>="com.liferay.headless.delivery.inte
 rnal.dto.v1_0.converter.MessageBoardSectionDTOConverter,com.liferay.p
 ortal.vulcan.dto.converter.DTOConverter";uses:="com.liferay.headless.
 delivery.internal.dto.v1_0.converter,com.liferay.portal.vulcan.dto.co
 nverter",osgi.service;objectClass:List<String>="com.liferay.headless.
 delivery.internal.dto.v1_0.converter.MessageBoardThreadDTOConverter,c
 om.liferay.portal.vulcan.dto.converter.DTOConverter";uses:="com.lifer
 ay.headless.delivery.internal.dto.v1_0.converter,com.liferay.portal.v
 ulcan.dto.converter",osgi.service;objectClass:List<String>="com.lifer
 ay.headless.delivery.internal.dto.v1_0.converter.PageDefinitionDTOCon
 verter,com.liferay.portal.vulcan.dto.converter.DTOConverter";uses:="c
 om.liferay.headless.delivery.internal.dto.v1_0.converter,com.liferay.
 portal.vulcan.dto.converter",osgi.service;objectClass:List<String>="c
 om.liferay.headless.delivery.internal.dto.v1_0.converter.PageElementD
 TOConverter,com.liferay.portal.vulcan.dto.converter.DTOConverter";use
 s:="com.liferay.headless.delivery.internal.dto.v1_0.converter,com.lif
 eray.portal.vulcan.dto.converter",osgi.service;objectClass:List<Strin
 g>="com.liferay.headless.delivery.internal.dto.v1_0.converter.SitePag
 eDTOConverter,com.liferay.portal.vulcan.dto.converter.DTOConverter";u
 ses:="com.liferay.headless.delivery.internal.dto.v1_0.converter,com.l
 iferay.portal.vulcan.dto.converter",osgi.service;objectClass:List<Str
 ing>="com.liferay.headless.delivery.internal.dto.v1_0.converter.Struc
 turedContentDTOConverter,com.liferay.portal.vulcan.dto.converter.DTOC
 onverter";uses:="com.liferay.headless.delivery.internal.dto.v1_0.conv
 erter,com.liferay.portal.vulcan.dto.converter",osgi.service;objectCla
 ss:List<String>="com.liferay.headless.delivery.internal.dto.v1_0.conv
 erter.StructuredContentFolderDTOConverter,com.liferay.portal.vulcan.d
 to.converter.DTOConverter";uses:="com.liferay.headless.delivery.inter
 nal.dto.v1_0.converter,com.liferay.portal.vulcan.dto.converter",osgi.
 service;objectClass:List<String>="com.liferay.headless.delivery.inter
 nal.dto.v1_0.converter.WikiNodeDTOConverter,com.liferay.portal.vulcan
 .dto.converter.DTOConverter";uses:="com.liferay.headless.delivery.int
 ernal.dto.v1_0.converter,com.liferay.portal.vulcan.dto.converter",osg
 i.service;objectClass:List<String>="com.liferay.headless.delivery.int
 ernal.dto.v1_0.converter.WikiPageDTOConverter,com.liferay.portal.vulc
 an.dto.converter.DTOConverter";uses:="com.liferay.headless.delivery.i
 nternal.dto.v1_0.converter,com.liferay.portal.vulcan.dto.converter",o
 sgi.service;objectClass:List<String>="com.liferay.headless.delivery.i
 nternal.dto.v1_0.mapper.LayoutStructureItemMapper";uses:="com.liferay
 .headless.delivery.internal.dto.v1_0.mapper",osgi.service;objectClass
 :List<String>="com.liferay.headless.delivery.internal.dto.v1_0.mapper
 .LayoutStructureItemMapperTracker";uses:="com.liferay.headless.delive
 ry.internal.dto.v1_0.mapper",osgi.service;objectClass:List<String>="c
 om.liferay.headless.delivery.internal.dto.v1_0.mapper.PageFragmentIns
 tanceDefinitionMapper";uses:="com.liferay.headless.delivery.internal.
 dto.v1_0.mapper",osgi.service;objectClass:List<String>="com.liferay.h
 eadless.delivery.internal.dto.v1_0.mapper.WidgetInstanceMapper";uses:
 ="com.liferay.headless.delivery.internal.dto.v1_0.mapper",osgi.servic
 e;objectClass:List<String>="com.liferay.headless.delivery.internal.od
 ata.entity.v1_0.EntityFieldsProvider";uses:="com.liferay.headless.del
 ivery.internal.odata.entity.v1_0",osgi.service;objectClass:List<Strin
 g>="com.liferay.headless.delivery.internal.resource.v1_0.OpenAPIResou
 rceImpl";uses:="com.liferay.headless.delivery.internal.resource.v1_0"
 ,osgi.service;objectClass:List<String>="com.liferay.headless.delivery
 .resource.v1_0.BlogPostingImageResource";uses:="com.liferay.headless.
 delivery.resource.v1_0",osgi.service;objectClass:List<String>="com.li
 feray.headless.delivery.resource.v1_0.BlogPostingImageResource$Factor
 y";uses:="com.liferay.headless.delivery.resource.v1_0",osgi.service;o
 bjectClass:List<String>="com.liferay.headless.delivery.resource.v1_0.
 BlogPostingResource";uses:="com.liferay.headless.delivery.resource.v1
 _0",osgi.service;objectClass:List<String>="com.liferay.headless.deliv
 ery.resource.v1_0.BlogPostingResource$Factory";uses:="com.liferay.hea
 dless.delivery.resource.v1_0",osgi.service;objectClass:List<String>="
 com.liferay.headless.delivery.resource.v1_0.CommentResource";uses:="c
 om.liferay.headless.delivery.resource.v1_0",osgi.service;objectClass:
 List<String>="com.liferay.headless.delivery.resource.v1_0.CommentReso
 urce$Factory";uses:="com.liferay.headless.delivery.resource.v1_0",osg
 i.service;objectClass:List<String>="com.liferay.headless.delivery.res
 ource.v1_0.ContentElementResource";uses:="com.liferay.headless.delive
 ry.resource.v1_0",osgi.service;objectClass:List<String>="com.liferay.
 headless.delivery.resource.v1_0.ContentElementResource$Factory";uses:
 ="com.liferay.headless.delivery.resource.v1_0",osgi.service;objectCla
 ss:List<String>="com.liferay.headless.delivery.resource.v1_0.ContentS
 etElementResource";uses:="com.liferay.headless.delivery.resource.v1_0
 ",osgi.service;objectClass:List<String>="com.liferay.headless.deliver
 y.resource.v1_0.ContentSetElementResource$Factory";uses:="com.liferay
 .headless.delivery.resource.v1_0",osgi.service;objectClass:List<Strin
 g>="com.liferay.headless.delivery.resource.v1_0.ContentStructureResou
 rce";uses:="com.liferay.headless.delivery.resource.v1_0",osgi.service
 ;objectClass:List<String>="com.liferay.headless.delivery.resource.v1_
 0.ContentStructureResource$Factory";uses:="com.liferay.headless.deliv
 ery.resource.v1_0",osgi.service;objectClass:List<String>="com.liferay
 .headless.delivery.resource.v1_0.ContentTemplateResource";uses:="com.
 liferay.headless.delivery.resource.v1_0",osgi.service;objectClass:Lis
 t<String>="com.liferay.headless.delivery.resource.v1_0.ContentTemplat
 eResource$Factory";uses:="com.liferay.headless.delivery.resource.v1_0
 ",osgi.service;objectClass:List<String>="com.liferay.headless.deliver
 y.resource.v1_0.DocumentFolderResource";uses:="com.liferay.headless.d
 elivery.resource.v1_0",osgi.service;objectClass:List<String>="com.lif
 eray.headless.delivery.resource.v1_0.DocumentFolderResource$Factory";
 uses:="com.liferay.headless.delivery.resource.v1_0",osgi.service;obje
 ctClass:List<String>="com.liferay.headless.delivery.resource.v1_0.Doc
 umentResource";uses:="com.liferay.headless.delivery.resource.v1_0",os
 gi.service;objectClass:List<String>="com.liferay.headless.delivery.re
 source.v1_0.DocumentResource$Factory";uses:="com.liferay.headless.del
 ivery.resource.v1_0",osgi.service;objectClass:List<String>="com.lifer
 ay.headless.delivery.resource.v1_0.KnowledgeBaseArticleResource";uses
 :="com.liferay.headless.delivery.resource.v1_0",osgi.service;objectCl
 ass:List<String>="com.liferay.headless.delivery.resource.v1_0.Knowled
 geBaseArticleResource$Factory";uses:="com.liferay.headless.delivery.r
 esource.v1_0",osgi.service;objectClass:List<String>="com.liferay.head
 less.delivery.resource.v1_0.KnowledgeBaseAttachmentResource";uses:="c
 om.liferay.headless.delivery.resource.v1_0",osgi.service;objectClass:
 List<String>="com.liferay.headless.delivery.resource.v1_0.KnowledgeBa
 seAttachmentResource$Factory";uses:="com.liferay.headless.delivery.re
 source.v1_0",osgi.service;objectClass:List<String>="com.liferay.headl
 ess.delivery.resource.v1_0.KnowledgeBaseFolderResource";uses:="com.li
 feray.headless.delivery.resource.v1_0",osgi.service;objectClass:List<
 String>="com.liferay.headless.delivery.resource.v1_0.KnowledgeBaseFol
 derResource$Factory";uses:="com.liferay.headless.delivery.resource.v1
 _0",osgi.service;objectClass:List<String>="com.liferay.headless.deliv
 ery.resource.v1_0.LanguageResource";uses:="com.liferay.headless.deliv
 ery.resource.v1_0",osgi.service;objectClass:List<String>="com.liferay
 .headless.delivery.resource.v1_0.LanguageResource$Factory";uses:="com
 .liferay.headless.delivery.resource.v1_0",osgi.service;objectClass:Li
 st<String>="com.liferay.headless.delivery.resource.v1_0.MessageBoardA
 ttachmentResource";uses:="com.liferay.headless.delivery.resource.v1_0
 ",osgi.service;objectClass:List<String>="com.liferay.headless.deliver
 y.resource.v1_0.MessageBoardAttachmentResource$Factory";uses:="com.li
 feray.headless.delivery.resource.v1_0",osgi.service;objectClass:List<
 String>="com.liferay.headless.delivery.resource.v1_0.MessageBoardMess
 ageResource";uses:="com.liferay.headless.delivery.resource.v1_0",osgi
 .service;objectClass:List<String>="com.liferay.headless.delivery.reso
 urce.v1_0.MessageBoardMessageResource$Factory";uses:="com.liferay.hea
 dless.delivery.resource.v1_0",osgi.service;objectClass:List<String>="
 com.liferay.headless.delivery.resource.v1_0.MessageBoardSectionResour
 ce";uses:="com.liferay.headless.delivery.resource.v1_0",osgi.service;
 objectClass:List<String>="com.liferay.headless.delivery.resource.v1_0
 .MessageBoardSectionResource$Factory";uses:="com.liferay.headless.del
 ivery.resource.v1_0",osgi.service;objectClass:List<String>="com.lifer
 ay.headless.delivery.resource.v1_0.MessageBoardThreadResource";uses:=
 "com.liferay.headless.delivery.resource.v1_0",osgi.service;objectClas
 s:List<String>="com.liferay.headless.delivery.resource.v1_0.MessageBo
 ardThreadResource$Factory";uses:="com.liferay.headless.delivery.resou
 rce.v1_0",osgi.service;objectClass:List<String>="com.liferay.headless
 .delivery.resource.v1_0.NavigationMenuResource";uses:="com.liferay.he
 adless.delivery.resource.v1_0",osgi.service;objectClass:List<String>=
 "com.liferay.headless.delivery.resource.v1_0.NavigationMenuResource$F
 actory";uses:="com.liferay.headless.delivery.resource.v1_0",osgi.serv
 ice;objectClass:List<String>="com.liferay.headless.delivery.resource.
 v1_0.SitePageResource";uses:="com.liferay.headless.delivery.resource.
 v1_0",osgi.service;objectClass:List<String>="com.liferay.headless.del
 ivery.resource.v1_0.SitePageResource$Factory";uses:="com.liferay.head
 less.delivery.resource.v1_0",osgi.service;objectClass:List<String>="c
 om.liferay.headless.delivery.resource.v1_0.StructuredContentFolderRes
 ource";uses:="com.liferay.headless.delivery.resource.v1_0",osgi.servi
 ce;objectClass:List<String>="com.liferay.headless.delivery.resource.v
 1_0.StructuredContentFolderResource$Factory";uses:="com.liferay.headl
 ess.delivery.resource.v1_0",osgi.service;objectClass:List<String>="co
 m.liferay.headless.delivery.resource.v1_0.StructuredContentResource";
 uses:="com.liferay.headless.delivery.resource.v1_0",osgi.service;obje
 ctClass:List<String>="com.liferay.headless.delivery.resource.v1_0.Str
 ucturedContentResource$Factory";uses:="com.liferay.headless.delivery.
 resource.v1_0",osgi.service;objectClass:List<String>="com.liferay.hea
 dless.delivery.resource.v1_0.WikiNodeResource";uses:="com.liferay.hea
 dless.delivery.resource.v1_0",osgi.service;objectClass:List<String>="
 com.liferay.headless.delivery.resource.v1_0.WikiNodeResource$Factory"
 ;uses:="com.liferay.headless.delivery.resource.v1_0",osgi.service;obj
 ectClass:List<String>="com.liferay.headless.delivery.resource.v1_0.Wi
 kiPageAttachmentResource";uses:="com.liferay.headless.delivery.resour
 ce.v1_0",osgi.service;objectClass:List<String>="com.liferay.headless.
 delivery.resource.v1_0.WikiPageAttachmentResource$Factory";uses:="com
 .liferay.headless.delivery.resource.v1_0",osgi.service;objectClass:Li
 st<String>="com.liferay.headless.delivery.resource.v1_0.WikiPageResou
 rce";uses:="com.liferay.headless.delivery.resource.v1_0",osgi.service
 ;objectClass:List<String>="com.liferay.headless.delivery.resource.v1_
 0.WikiPageResource$Factory";uses:="com.liferay.headless.delivery.reso
 urce.v1_0",osgi.service;objectClass:List<String>="com.liferay.portal.
 vulcan.graphql.servlet.ServletData";uses:="com.liferay.portal.vulcan.
 graphql.servlet",osgi.service;objectClass:List<String>="javax.ws.rs.c
 ore.Application";uses:="javax.ws.rs.core",osgi.service;objectClass:Li
 st<String>="javax.ws.rs.ext.ExceptionMapper";uses:="javax.ws.rs.ext"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.ada
 ptive.media.image.finder.AMImageFinder)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.adaptive.media.image.mime.type.A
 MImageMimeTypeProvider)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.asset.kernel.service.AssetCategoryLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.ass
 et.kernel.service.AssetEntryLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.asset.kernel.service.AssetLink
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.asset.kernel.service.AssetTagLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.asset.list.asset.e
 ntry.provider.AssetListAssetEntryProvider)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.asset.list.service.AssetListE
 ntryService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.asset.util.AssetHelper)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.blogs.service.BlogsEntryLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.blo
 gs.service.BlogsEntryService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.document.library.kernel.service.DLAppLocal
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.document.library.kernel.service.DLAppService)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.document.library.ker
 nel.service.DLFileEntryLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.document.library.kernel.service.DLF
 ileEntryMetadataLocalService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.document.library.kernel.service.DLFileEntr
 yService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.document.library.kernel.service.DLFileEntryTypeLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.docu
 ment.library.util.DLURLHelper)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.dynamic.data.mapping.io.DDMFormValuesSeri
 alizer)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.dynamic.data.mapping.kernel.StorageEngineManager)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapp
 ing.service.DDMStructureService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.dynamic.data.mapping.service.DDMTemplat
 eLocalService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.dynamic.data.mapping.service.DDMTemplateService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.dat
 a.mapping.util.DDM)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.dynamic.data.mapping.util.DDMBeanTranslator)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.da
 ta.mapping.util.DDMIndexer)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.dynamic.data.mapping.util.FieldsToDDMFormVal
 uesConverter)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.dynamic.data.mapping.validator.DDMFormValuesValidator)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.expand
 o.kernel.service.ExpandoColumnLocalService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.expando.kernel.service.Expan
 doTableLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.fragment.contributor.FragmentCollectionContributorT
 racker)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.fragment.processor.PortletRegistry)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.fragment.renderer.FragmentRende
 rerTracker)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.fragment.service.FragmentEntryLinkLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.fragment.servic
 e.FragmentEntryLocalService)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.fragment.util.configuration.FragmentEntryCo
 nfigurationParser)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.friendly.url.service.FriendlyURLEntryLocalService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.headl
 ess.delivery.internal.dto.v1_0.converter.BlogPostingDTOConverter)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.headle
 ss.delivery.internal.dto.v1_0.converter.DocumentDTOConverter)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.headless.d
 elivery.internal.dto.v1_0.converter.DocumentFolderDTOConverter)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.headless
 .delivery.internal.dto.v1_0.converter.ExperienceDTOConverter)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.headless.d
 elivery.internal.dto.v1_0.converter.KnowledgeBaseArticleDTOConverter)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.he
 adless.delivery.internal.dto.v1_0.converter.MessageBoardMessageDTOCon
 verter)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.headless.delivery.internal.dto.v1_0.converter.MessageBoardSectio
 nDTOConverter)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.headless.delivery.internal.dto.v1_0.converter.MessageBoar
 dThreadDTOConverter)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.headless.delivery.internal.dto.v1_0.converter.PageD
 efinitionDTOConverter)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.headless.delivery.internal.dto.v1_0.converter.Sit
 ePageDTOConverter)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.headless.delivery.internal.dto.v1_0.converter.Structu
 redContentDTOConverter)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.headless.delivery.internal.dto.v1_0.converter.St
 ructuredContentFolderDTOConverter)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.headless.delivery.internal.dto.v1_0.c
 onverter.WikiNodeDTOConverter)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.headless.delivery.internal.dto.v1_0.conve
 rter.WikiPageDTOConverter)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.headless.delivery.internal.dto.v1_0.mapper.La
 youtStructureItemMapper)";effective:=active;resolution:=optional;card
 inality:=multiple,osgi.service;filter:="(objectClass=com.liferay.head
 less.delivery.internal.dto.v1_0.mapper.LayoutStructureItemMapperTrack
 er)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .headless.delivery.internal.dto.v1_0.mapper.PageFragmentInstanceDefin
 itionMapper)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.headless.delivery.internal.dto.v1_0.mapper.WidgetInstanceMa
 pper)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.headless.delivery.internal.odata.entity.v1_0.EntityFieldsProvider)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.he
 adless.delivery.resource.v1_0.BlogPostingImageResource)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.headless.deliver
 y.resource.v1_0.BlogPostingResource)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.headless.delivery.resource.v1_0.Com
 mentResource)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.headless.delivery.resource.v1_0.ContentElementResource)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.headl
 ess.delivery.resource.v1_0.ContentSetElementResource)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.headless.delivery.
 resource.v1_0.ContentStructureResource)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.headless.delivery.resource.v1_0.
 ContentTemplateResource)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.headless.delivery.resource.v1_0.DocumentFolderR
 esource)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.headless.delivery.resource.v1_0.DocumentResource)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.headless.deliver
 y.resource.v1_0.KnowledgeBaseArticleResource)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.headless.delivery.resource
 .v1_0.KnowledgeBaseAttachmentResource)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.headless.delivery.resource.v1_0.K
 nowledgeBaseFolderResource)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.headless.delivery.resource.v1_0.LanguageReso
 urce)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.headless.delivery.resource.v1_0.MessageBoardAttachmentResource)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.headl
 ess.delivery.resource.v1_0.MessageBoardMessageResource)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.headless.deliver
 y.resource.v1_0.MessageBoardSectionResource)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.headless.delivery.resource.
 v1_0.MessageBoardThreadResource)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.headless.delivery.resource.v1_0.Navigat
 ionMenuResource)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.headless.delivery.resource.v1_0.SitePageResource)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.headless
 .delivery.resource.v1_0.StructuredContentFolderResource)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.headless.delive
 ry.resource.v1_0.StructuredContentResource)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.headless.delivery.resource.v
 1_0.WikiNodeResource)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.headless.delivery.resource.v1_0.WikiPageAttachment
 Resource)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.headless.delivery.resource.v1_0.WikiPageResource)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.info.item.InfoI
 temServiceTracker)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.journal.service.JournalArticleLocalService)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.journal.serv
 ice.JournalArticleService)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.journal.service.JournalFolderLocalService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.journ
 al.service.JournalFolderService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.journal.util.JournalContent)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.journal.util.
 JournalConverter)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.knowledge.base.service.KBArticleLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.knowledge.b
 ase.service.KBArticleService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.knowledge.base.service.KBFolderLocalServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 knowledge.base.service.KBFolderService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.layout.display.page.LayoutDispla
 yPageProviderTracker)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.layout.page.template.exporter.PortletConfiguration
 ExporterTracker)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.layout.page.template.exporter.PortletPreferencesPortlet
 ConfigurationExporter)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.layout.page.template.service.LayoutPageTemplateEn
 tryLocalService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.layout.page.template.service.LayoutPageTemplateEntrySer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.layout.page.template.service.LayoutPageTemplateStructureLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .layout.seo.service.LayoutSEOEntryLocalService)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.message.boards.service.M
 BCategoryService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.message.boards.service.MBMessageLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.message.boa
 rds.service.MBMessageService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.message.boards.service.MBStatsUserLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.message.boards.service.MBThreadFlagLocalService)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.message.boards.servi
 ce.MBThreadLocalService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.message.boards.service.MBThreadService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ker
 nel.comment.CommentManager)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.portletfilerepository.PortletF
 ileRepository)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.kernel.security.permission.PermissionCheckerFactor
 y)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.security.permission.resource.ModelResourcePermission)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.service.ClassNameLocalService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.service.CompanyLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.kernel.service.GroupLocalService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.
 GroupService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.service.LayoutFriendlyURLLocalService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.service.LayoutLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.service.LayoutService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.service.PortletLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.service.ResourceAct
 ionLocalService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.kernel.service.ResourcePermissionLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.service.RoleLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.service.TeamLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.kernel.service.UserLocalService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.service.permissio
 n.PortletPermission)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.util.Portal)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.view.count.Vi
 ewCountManager)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.odata.filter.ExpressionConvert)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.odata.filter.
 FilterParserProvider)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.search.aggregation.Aggregations)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.search
 .expando.ExpandoBridgeIndexer)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.search.legacy.searcher.SearchReque
 stBuilderFactory)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.search.query.Queries)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.search.sort.Sorts)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.vulcan.dto.converter.DTOConverterRegistry)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.vulcan.resource.Open
 APIResource)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.ratings.kernel.service.RatingsEntryLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.ratings.kerne
 l.service.RatingsStatsLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.segments.SegmentsEntryRetriever)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.segmen
 ts.context.RequestContextMapper)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.segments.processor.SegmentsExperienceRe
 questProcessorRegistry)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.segments.provider.SegmentsEntryProviderRegistry)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.se
 gments.service.SegmentsEntryService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.segments.service.SegmentsExperience
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.segments.service.SegmentsExperienceService)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.site.navigation.s
 ervice.SiteNavigationMenuItemService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.site.navigation.service.SiteNaviga
 tionMenuService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.style.book.service.StyleBookEntryLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.subscriptio
 n.service.SubscriptionLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.wiki.service.WikiNodeLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.wiki
 .service.WikiNodeService)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.wiki.service.WikiPageLocalService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.wiki.service.W
 ikiPageService)";effective:=active,osgi.extender;filter:="(&(osgi.ext
 ender=osgi.component)(version>=1.4.0)(!(version>=2.0.0)))",osgi.contr
 act;osgi.contract=JavaServlet;filter:="(&(osgi.contract=JavaServlet)(
 version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.headless.delivery.internal.dto
 .v1_0.converter.BlogPostingDTOConverter.xml,OSGI-INF/com.liferay.head
 less.delivery.internal.dto.v1_0.converter.DocumentDTOConverter.xml,OS
 GI-INF/com.liferay.headless.delivery.internal.dto.v1_0.converter.Docu
 mentFolderDTOConverter.xml,OSGI-INF/com.liferay.headless.delivery.int
 ernal.dto.v1_0.converter.ExperienceDTOConverter.xml,OSGI-INF/com.life
 ray.headless.delivery.internal.dto.v1_0.converter.KnowledgeBaseArticl
 eDTOConverter.xml,OSGI-INF/com.liferay.headless.delivery.internal.dto
 .v1_0.converter.MessageBoardMessageDTOConverter.xml,OSGI-INF/com.life
 ray.headless.delivery.internal.dto.v1_0.converter.MessageBoardSection
 DTOConverter.xml,OSGI-INF/com.liferay.headless.delivery.internal.dto.
 v1_0.converter.MessageBoardThreadDTOConverter.xml,OSGI-INF/com.lifera
 y.headless.delivery.internal.dto.v1_0.converter.PageDefinitionDTOConv
 erter.xml,OSGI-INF/com.liferay.headless.delivery.internal.dto.v1_0.co
 nverter.PageElementDTOConverter.xml,OSGI-INF/com.liferay.headless.del
 ivery.internal.dto.v1_0.converter.SitePageDTOConverter.xml,OSGI-INF/c
 om.liferay.headless.delivery.internal.dto.v1_0.converter.StructuredCo
 ntentDTOConverter.xml,OSGI-INF/com.liferay.headless.delivery.internal
 .dto.v1_0.converter.StructuredContentFolderDTOConverter.xml,OSGI-INF/
 com.liferay.headless.delivery.internal.dto.v1_0.converter.WikiNodeDTO
 Converter.xml,OSGI-INF/com.liferay.headless.delivery.internal.dto.v1_
 0.converter.WikiPageDTOConverter.xml,OSGI-INF/com.liferay.headless.de
 livery.internal.dto.v1_0.mapper.CollectionItemLayoutStructureItemMapp
 er.xml,OSGI-INF/com.liferay.headless.delivery.internal.dto.v1_0.mappe
 r.CollectionLayoutStructureItemMapper.xml,OSGI-INF/com.liferay.headle
 ss.delivery.internal.dto.v1_0.mapper.ColumnLayoutStructureItemMapper.
 xml,OSGI-INF/com.liferay.headless.delivery.internal.dto.v1_0.mapper.C
 ontainerLayoutStructureItemMapper.xml,OSGI-INF/com.liferay.headless.d
 elivery.internal.dto.v1_0.mapper.DropZoneLayoutStructureItemMapper.xm
 l,OSGI-INF/com.liferay.headless.delivery.internal.dto.v1_0.mapper.For
 mLayoutStructureItemMapper.xml,OSGI-INF/com.liferay.headless.delivery
 .internal.dto.v1_0.mapper.FragmentDropZoneLayoutStructureItemMapper.x
 ml,OSGI-INF/com.liferay.headless.delivery.internal.dto.v1_0.mapper.Fr
 agmentLayoutStructureItemMapper.xml,OSGI-INF/com.liferay.headless.del
 ivery.internal.dto.v1_0.mapper.LayoutStructureItemMapperTracker.xml,O
 SGI-INF/com.liferay.headless.delivery.internal.dto.v1_0.mapper.PageFr
 agmentInstanceDefinitionMapper.xml,OSGI-INF/com.liferay.headless.deli
 very.internal.dto.v1_0.mapper.RootLayoutStructureItemMapper.xml,OSGI-
 INF/com.liferay.headless.delivery.internal.dto.v1_0.mapper.RowLayoutS
 tructureItemMapper.xml,OSGI-INF/com.liferay.headless.delivery.interna
 l.dto.v1_0.mapper.WidgetInstanceMapper.xml,OSGI-INF/com.liferay.headl
 ess.delivery.internal.graphql.servlet.v1_0.ServletDataImpl.xml,OSGI-I
 NF/com.liferay.headless.delivery.internal.jaxrs.application.HeadlessD
 eliveryApplication.xml,OSGI-INF/com.liferay.headless.delivery.interna
 l.jaxrs.exception.mapper.BlogPostingArticleBodyExceptionMapper.xml,OS
 GI-INF/com.liferay.headless.delivery.internal.jaxrs.exception.mapper.
 BlogPostingFriendlyURLExceptionMapper.xml,OSGI-INF/com.liferay.headle
 ss.delivery.internal.jaxrs.exception.mapper.BlogPostingHeadlineExcept
 ionMapper.xml,OSGI-INF/com.liferay.headless.delivery.internal.jaxrs.e
 xception.mapper.DocumentFileExtensionExceptionMapper.xml,OSGI-INF/com
 .liferay.headless.delivery.internal.jaxrs.exception.mapper.DocumentFi
 leNameExceptionMapper.xml,OSGI-INF/com.liferay.headless.delivery.inte
 rnal.jaxrs.exception.mapper.DocumentFileSizeExceptionMapper.xml,OSGI-
 INF/com.liferay.headless.delivery.internal.jaxrs.exception.mapper.Doc
 umentFolderNameExceptionMapper.xml,OSGI-INF/com.liferay.headless.deli
 very.internal.jaxrs.exception.mapper.DocumentSourceFileNameExceptionM
 apper.xml,OSGI-INF/com.liferay.headless.delivery.internal.jaxrs.excep
 tion.mapper.DuplicateDocumentExceptionMapper.xml,OSGI-INF/com.liferay
 .headless.delivery.internal.jaxrs.exception.mapper.DuplicateDocumentF
 olderNameExceptionMapper.xml,OSGI-INF/com.liferay.headless.delivery.i
 nternal.jaxrs.exception.mapper.DuplicateFriendlyURLEntryExceptionMapp
 er.xml,OSGI-INF/com.liferay.headless.delivery.internal.jaxrs.exceptio
 n.mapper.DuplicateKnowledgeBaseFolderNameExceptionMapper.xml,OSGI-INF
 /com.liferay.headless.delivery.internal.jaxrs.exception.mapper.Duplic
 ateNavigationMenuNameExceptionMapper.xml,OSGI-INF/com.liferay.headles
 s.delivery.internal.jaxrs.exception.mapper.DuplicateStructuredContent
 FolderNameExceptionMapper.xml,OSGI-INF/com.liferay.headless.delivery.
 internal.jaxrs.exception.mapper.DuplicateWikiNodeNameExceptionMapper.
 xml,OSGI-INF/com.liferay.headless.delivery.internal.jaxrs.exception.m
 apper.InvalidKnowledgeBaseFolderNameExceptionMapper.xml,OSGI-INF/com.
 liferay.headless.delivery.internal.jaxrs.exception.mapper.KeywordName
 ExceptionMapper.xml,OSGI-INF/com.liferay.headless.delivery.internal.j
 axrs.exception.mapper.KnowledgeBaseArticleArticleBodyExceptionMapper.
 xml,OSGI-INF/com.liferay.headless.delivery.internal.jaxrs.exception.m
 apper.KnowledgeBaseArticleFriendlyURLExceptionMapper.xml,OSGI-INF/com
 .liferay.headless.delivery.internal.jaxrs.exception.mapper.KnowledgeB
 aseArticleTitleExceptionMapper.xml,OSGI-INF/com.liferay.headless.deli
 very.internal.jaxrs.exception.mapper.LockedMessageBoardThreadExceptio
 nMapper.xml,OSGI-INF/com.liferay.headless.delivery.internal.jaxrs.exc
 eption.mapper.MessageBoardMessageSubjectExceptionMapper.xml,OSGI-INF/
 com.liferay.headless.delivery.internal.jaxrs.exception.mapper.Message
 BoardSectionNameExceptionMapper.xml,OSGI-INF/com.liferay.headless.del
 ivery.internal.jaxrs.exception.mapper.StructuredContentContentFieldsE
 xceptionMapper.xml,OSGI-INF/com.liferay.headless.delivery.internal.ja
 xrs.exception.mapper.StructuredContentFolderNameExceptionMapper.xml,O
 SGI-INF/com.liferay.headless.delivery.internal.jaxrs.exception.mapper
 .StructuredContentTitleExceptionMapper.xml,OSGI-INF/com.liferay.headl
 ess.delivery.internal.jaxrs.exception.mapper.TaxonomyCategoryExceptio
 nMapper.xml,OSGI-INF/com.liferay.headless.delivery.internal.odata.ent
 ity.v1_0.EntityFieldsProvider.xml,OSGI-INF/com.liferay.headless.deliv
 ery.internal.resource.v1_0.BlogPostingImageResourceImpl.xml,OSGI-INF/
 com.liferay.headless.delivery.internal.resource.v1_0.BlogPostingResou
 rceImpl.xml,OSGI-INF/com.liferay.headless.delivery.internal.resource.
 v1_0.CommentResourceImpl.xml,OSGI-INF/com.liferay.headless.delivery.i
 nternal.resource.v1_0.ContentElementResourceImpl.xml,OSGI-INF/com.lif
 eray.headless.delivery.internal.resource.v1_0.ContentSetElementResour
 ceImpl.xml,OSGI-INF/com.liferay.headless.delivery.internal.resource.v
 1_0.ContentStructureResourceImpl.xml,OSGI-INF/com.liferay.headless.de
 livery.internal.resource.v1_0.ContentTemplateResourceImpl.xml,OSGI-IN
 F/com.liferay.headless.delivery.internal.resource.v1_0.DocumentFolder
 ResourceImpl.xml,OSGI-INF/com.liferay.headless.delivery.internal.reso
 urce.v1_0.DocumentResourceImpl.xml,OSGI-INF/com.liferay.headless.deli
 very.internal.resource.v1_0.KnowledgeBaseArticleResourceImpl.xml,OSGI
 -INF/com.liferay.headless.delivery.internal.resource.v1_0.KnowledgeBa
 seAttachmentResourceImpl.xml,OSGI-INF/com.liferay.headless.delivery.i
 nternal.resource.v1_0.KnowledgeBaseFolderResourceImpl.xml,OSGI-INF/co
 m.liferay.headless.delivery.internal.resource.v1_0.LanguageResourceIm
 pl.xml,OSGI-INF/com.liferay.headless.delivery.internal.resource.v1_0.
 MessageBoardAttachmentResourceImpl.xml,OSGI-INF/com.liferay.headless.
 delivery.internal.resource.v1_0.MessageBoardMessageResourceImpl.xml,O
 SGI-INF/com.liferay.headless.delivery.internal.resource.v1_0.MessageB
 oardSectionResourceImpl.xml,OSGI-INF/com.liferay.headless.delivery.in
 ternal.resource.v1_0.MessageBoardThreadResourceImpl.xml,OSGI-INF/com.
 liferay.headless.delivery.internal.resource.v1_0.NavigationMenuResour
 ceImpl.xml,OSGI-INF/com.liferay.headless.delivery.internal.resource.v
 1_0.OpenAPIResourceImpl.xml,OSGI-INF/com.liferay.headless.delivery.in
 ternal.resource.v1_0.SitePageResourceImpl.xml,OSGI-INF/com.liferay.he
 adless.delivery.internal.resource.v1_0.StructuredContentFolderResourc
 eImpl.xml,OSGI-INF/com.liferay.headless.delivery.internal.resource.v1
 _0.StructuredContentResourceImpl.xml,OSGI-INF/com.liferay.headless.de
 livery.internal.resource.v1_0.WikiNodeResourceImpl.xml,OSGI-INF/com.l
 iferay.headless.delivery.internal.resource.v1_0.WikiPageAttachmentRes
 ourceImpl.xml,OSGI-INF/com.liferay.headless.delivery.internal.resourc
 e.v1_0.WikiPageResourceImpl.xml,OSGI-INF/com.liferay.headless.deliver
 y.internal.resource.v1_0.factory.BlogPostingImageResourceFactoryImpl.
 xml,OSGI-INF/com.liferay.headless.delivery.internal.resource.v1_0.fac
 tory.BlogPostingResourceFactoryImpl.xml,OSGI-INF/com.liferay.headless
 .delivery.internal.resource.v1_0.factory.CommentResourceFactoryImpl.x
 ml,OSGI-INF/com.liferay.headless.delivery.internal.resource.v1_0.fact
 ory.ContentElementResourceFactoryImpl.xml,OSGI-INF/com.liferay.headle
 ss.delivery.internal.resource.v1_0.factory.ContentSetElementResourceF
 actoryImpl.xml,OSGI-INF/com.liferay.headless.delivery.internal.resour
 ce.v1_0.factory.ContentStructureResourceFactoryImpl.xml,OSGI-INF/com.
 liferay.headless.delivery.internal.resource.v1_0.factory.ContentTempl
 ateResourceFactoryImpl.xml,OSGI-INF/com.liferay.headless.delivery.int
 ernal.resource.v1_0.factory.DocumentFolderResourceFactoryImpl.xml,OSG
 I-INF/com.liferay.headless.delivery.internal.resource.v1_0.factory.Do
 cumentResourceFactoryImpl.xml,OSGI-INF/com.liferay.headless.delivery.
 internal.resource.v1_0.factory.KnowledgeBaseArticleResourceFactoryImp
 l.xml,OSGI-INF/com.liferay.headless.delivery.internal.resource.v1_0.f
 actory.KnowledgeBaseAttachmentResourceFactoryImpl.xml,OSGI-INF/com.li
 feray.headless.delivery.internal.resource.v1_0.factory.KnowledgeBaseF
 olderResourceFactoryImpl.xml,OSGI-INF/com.liferay.headless.delivery.i
 nternal.resource.v1_0.factory.LanguageResourceFactoryImpl.xml,OSGI-IN
 F/com.liferay.headless.delivery.internal.resource.v1_0.factory.Messag
 eBoardAttachmentResourceFactoryImpl.xml,OSGI-INF/com.liferay.headless
 .delivery.internal.resource.v1_0.factory.MessageBoardMessageResourceF
 actoryImpl.xml,OSGI-INF/com.liferay.headless.delivery.internal.resour
 ce.v1_0.factory.MessageBoardSectionResourceFactoryImpl.xml,OSGI-INF/c
 om.liferay.headless.delivery.internal.resource.v1_0.factory.MessageBo
 ardThreadResourceFactoryImpl.xml,OSGI-INF/com.liferay.headless.delive
 ry.internal.resource.v1_0.factory.NavigationMenuResourceFactoryImpl.x
 ml,OSGI-INF/com.liferay.headless.delivery.internal.resource.v1_0.fact
 ory.SitePageResourceFactoryImpl.xml,OSGI-INF/com.liferay.headless.del
 ivery.internal.resource.v1_0.factory.StructuredContentFolderResourceF
 actoryImpl.xml,OSGI-INF/com.liferay.headless.delivery.internal.resour
 ce.v1_0.factory.StructuredContentResourceFactoryImpl.xml,OSGI-INF/com
 .liferay.headless.delivery.internal.resource.v1_0.factory.WikiNodeRes
 ourceFactoryImpl.xml,OSGI-INF/com.liferay.headless.delivery.internal.
 resource.v1_0.factory.WikiPageAttachmentResourceFactoryImpl.xml,OSGI-
 INF/com.liferay.headless.delivery.internal.resource.v1_0.factory.Wiki
 PageResourceFactoryImpl.xml
Tool: Bnd-4.3.0.201909301554

